pbbarcode_0.8.0-5_amd64.deb


Advertisement

Description

pbbarcode - annotate PacBio sequencing reads with barcode information

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename pbbarcode_0.8.0-5_amd64.deb
Package name pbbarcode
Package version 0.8.0
Package release 5
Package architecture amd64
Package type deb
Category universe/science
Homepage https://github.com/PacificBiosciences/pbbarcode
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 26.14 KB
Installed size 114.00 KB
The pbbarcode package provides tools for annotating PacBio sequencing reads
with barcode information. Typically, pbbarcode is called in context of a
SMRTPipe workflow as opposed to directly on the command line, however, users
are encouraged to utilize the command-line utility directly, as more options
are available.
This package is part of the SMRTAnalysis suite.

Alternatives

Package Version Architecture Repository
pbbarcode - - -

Requires

Name Value
libc6 >= 2.3.4
python >= 2.7~
python << 2.8
python-h5py -
python-numpy -
python-pbcore -
python-pkg-resources -
python:any >= 2.7~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package pbbarcode_0.8.0-5_amd64.deb
Source Package pbbarcode

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pbbarcode deb package:
    # sudo apt-get install pbbarcode

Files

Path
/usr/bin/pbbarcode
/usr/lib/python2.7/dist-packages/pbbarcode/BarcodeLabeler.py
/usr/lib/python2.7/dist-packages/pbbarcode/SWaligner.py
/usr/lib/python2.7/dist-packages/pbbarcode/__init__.py
/usr/lib/python2.7/dist-packages/pbbarcode/_version.py
/usr/lib/python2.7/dist-packages/pbbarcode/main.py
/usr/lib/python2.7/dist-packages/pbbarcode/sw.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/pbbarcode-0.8.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pbbarcode-0.8.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pbbarcode-0.8.0.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/pbbarcode-0.8.0.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/pbbarcode-0.8.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/pbbarcode-0.8.0.egg-info/top_level.txt
/usr/share/doc/pbbarcode/README.Debian
/usr/share/doc/pbbarcode/README.rst
/usr/share/doc/pbbarcode/README.test
/usr/share/doc/pbbarcode/changelog.Debian.gz
/usr/share/doc/pbbarcode/copyright
/usr/share/doc/pbbarcode/run-unit-test
/usr/share/doc/pbbarcode/etc/barcode.fasta
/usr/share/doc/pbbarcode/etc/barcode_complete.fasta
/usr/share/doc/pbbarcode/etc/pacbio_barcodes_paired.fasta
/usr/share/doc/pbbarcode/tests/test_basic.py
/usr/share/doc/pbbarcode/tests/cram/consensus.t.disabled
/usr/share/doc/pbbarcode/tests/cram/sanity.t.gz
/usr/share/man/man1/pbbarcode.1.gz

Changelog

2018-10-31 - Andreas Tille <tille@debian.org>
pbbarcode (0.8.0-5) unstable; urgency=medium
* Team upload.
* debhelper 11
* Point Vcs fields to salsa.debian.org
* Standards-Version: 4.2.1
* Secure URI in copyright format
* Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
* Remove trailing whitespace in debian/copyright
2017-01-17 - Andreas Tille <tille@debian.org>
pbbarcode (0.8.0-4) unstable; urgency=medium
* Team upload
* Upstream closed issue #3 and added tag - watch file written
* Add README.Debian with note from upstream that this is a
deprecated repo
* Readme.test: Add note about test that take *very* long and are
deactivated.
2017-01-15 - Andreas Tille <tille@debian.org>
pbbarcode (0.8.0-3) unstable; urgency=medium
* Team upload.
* Reorganise autopkgtest to make it a user example at the same time
* remove some test that takes incredibly long time to end up in a 'timed out'
failure in autopkgtest
* changes of `cme fix dpkg-control` without reformatting
* debhelper 10
* Add fake watch file
* debian/tests/control:
- Make lintian happy with formatting
- Drop dependency make which is not needed any more
* Fix spelling errors in doc
* hardening=+all
2016-02-20 - Afif Elghraoui <afif@ghraoui.name>
pbbarcode (0.8.0-2) unstable; urgency=low
* Update build/test-dependency for pbh5tools
* Update Standards-Version to 3.9.7
* Use encrypted protocols for VCS URLs
2015-12-18 - Afif Elghraoui <afif@ghraoui.name>
pbbarcode (0.8.0-1) unstable; urgency=low
* Initial release (Closes: #808202)

See Also

Package Description
pbdagcon_0.3+git20161121.0000000+ds-1.1_amd64.deb sequence consensus using directed acyclic graphs
pbgenomicconsensus_2.3.2-5_all.deb Pacific Biosciences variant and consensus caller
pbh5tools_0.8.0+git20170929.58d54ff+dfsg-1_all.deb tools for manipulating Pacific Biosciences HDF5 files
pbsim_1.0.3+git20180330.e014b1d+dfsg-1_amd64.deb simulator for PacBio sequencing reads
pbuilder-scripts_22_all.deb Wrapper scripts for pbuilder
pbuilder_0.230.4_all.deb personal package builder for Debian packages
pbzip2_1.1.9-1build1_amd64.deb parallel bzip2 implementation
pcal_4.11.0-3build1_amd64.deb generate Postscript calendars without X
pcalendar_3.4.1-3_all.deb track menstrual cycles and predict fertility periods
pcapfix_1.1.4-2_amd64.deb repairs broken pcap and pcapng files
pcaputils_0.8-1build1_amd64.deb specialized libpcap utilities
pcb-common_4.2.0-2_all.deb printed circuit board (pcb) design program - common files
pcb-gtk_4.2.0-2_amd64.deb printed circuit board (pcb) design program - GTK+ interface
pcb-lesstif_4.2.0-2_amd64.deb printed circuit board (pcb) design program - LessTif interface
pcb-rnd_2.1.1-1_amd64.deb Modular Printed Circuit Board layout tool
Advertisement
Advertisement